<?php

namespace Litecms\Pagedatum\Repositories\Eloquent;

use Litecms\Pagedatum\Interfaces\PagedataRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class PagedataRepository extends BaseRepository implements PagedataRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.pagedatum.pagedata.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.pagedatum.pagedata.model.model');
    }
}
